tensor_sizes = {
    "SPECT" : tuple(2 for d in range(22)),
    "DMFT":(9,7,2,3,6),
    "Led7":(2,2,2,2,2,2,2,10), #3200 times 8
    "SolarFlare": (6, 6, 4, 2, 3, 3, 2, 2, 2, 2),
    "Chess" : (2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2),
    "Lymphography":(4, 2, 2, 2, 2, 2, 2, 2, 3, 4, 3, 4, 4, 3, 2, 2, 8),
    "Tumor":(3, 3, 4, 4, 2, 2, 2, 2, 2, 2, 2, 3, 2, 2, 3, 2, 2),
    "Votes":(2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3),
}


real_datasets_list = list(tensor_sizes.keys())
tensor_dims = { dataset_name:len(tensor_sizes[dataset_name]) for dataset_name in real_datasets_list }
